# pn_ipv6security_raguard_port – CLI command to add/remove ipv6security-raguard-port

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to add ports to RA Guard Policy and remove ports to RA Guard Policy.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_name string / required |  | RA Guard Policy Name.
pn_ports string / required |  | Ports attached to RA Guard Policy.

state
string

Choices:
- present ←
- absent

ipv6security-raguard-port configuration command.

## Examples

    - name: ipv6 security raguard port add
      pn_ipv6security_raguard_port:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        pn_ports: "1"

    - name: ipv6 security raguard port remove
      pn_ipv6security_raguard_port:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        state: "absent"
        pn_ports: "1"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the ipv6security-raguard-port command.
stdout list | always | set of responses from the ipv6security-raguard-port command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.